Bug 434968 - libpfm build error on ia64
libpfm build error on ia64
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libpfm (Show other bugs)
9
ia64 Linux
high Severity high
: ---
: ---
Assigned To: William Cohen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2008-02-26 11:10 EST by Doug Chapman
Modified: 2009-01-27 11:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-27 11:07:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix ia64 build error (481 bytes, patch)
2008-02-26 11:11 EST, Doug Chapman
no flags Details | Diff

  None (edit)
Description Doug Chapman 2008-02-26 11:10:33 EST
Description of problem:
The latest libpfm fails to build on ia64:


pfmlib_itanium2.c: In function 'check_inst_retired_events':
pfmlib_itanium2.c:234: error: 'umask' may be used uninitialized in this
functionmake[1]: *** [pfmlib_itanium2.o] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/libpfm-3.3/lib'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.8307 (%build)

full build log can be seen at:
http://ia64.koji.fedoraproject.org/koji/getfile?taskID=19501&name=build.log


Version-Release number of selected component (if applicable):
libpfm-3.3-0.080225.1.fc9

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Doug Chapman 2008-02-26 11:11:41 EST
Created attachment 295946 [details]
patch to fix ia64 build error
Comment 2 William Cohen 2008-02-26 11:37:36 EST
I have put the patch in the srpm and it is being build by koji.
libpfm-3.3-0.080225.2.fc9 should be the srpm with the fix.
Comment 3 Bug Zapper 2008-05-14 01:38:59 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.